Download it now!
Bug 91950 - Crash on saving document
Summary: Crash on saving document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.1 target:4.4.6
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2015-06-08 21:10 UTC by Gellért Gyuris
Modified: 2016-10-25 19:21 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
The file, which triggers crash. (9.10 MB, application/vnd.oasis.opendocument.text-template)
2015-06-08 21:10 UTC, Gellért Gyuris
Details
backtrace (22.95 KB, text/x-log)
2015-06-08 21:11 UTC, Gellért Gyuris
Details
Modified, working template (58.71 KB, application/vnd.oasis.opendocument.text-template)
2015-07-06 15:36 UTC, Gellért Gyuris
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gellért Gyuris 2015-06-08 21:10:17 UTC
Created attachment 116387 [details]
The file, which triggers crash.

LibreOffice 4.4.3.2 crash on this document on saving (see attached file). 

1. Open attached template file.
2. Save as the new document.

OS: Ubuntu 15.04
Comment 1 Gellért Gyuris 2015-06-08 21:11:43 UTC
Created attachment 116388 [details]
backtrace
Comment 2 MM 2015-06-08 21:43:47 UTC
Confirmed with v4.4.4.1 under windows 7 x64.
Confirmed with v4.4.4.1 under mint 17.1 x64.
Unconfirmed with v4.3.7.2 under mint 17.1 x64.

Set as regression.
Comment 3 Gellért Gyuris 2015-07-05 14:21:28 UTC
I successfully localized the problem. There are 7 custom frame style, namely:
- Ikonkeret idézet
- Ikonkeret nagy
- Ikonkeret nagy résztvevői
- Ikonkeret széljegyzet
- Ikonkeret széljegyzet kiemelt
- Ikonkeret szövegközi
- Ikonkeret szövegközi résztvevői

All these styles contains a bitmap background. (I think originally the backgrounds were SVG files). If I switch background to "None", I can save the document.
Comment 4 Gellért Gyuris 2015-07-06 12:30:40 UTC
I can reduce the problem. When I switch background to "None" only in this two frame style, I can save the document:
- Ikonkeret nagy résztvevői
- Ikonkeret szövegközi résztvevői

These styles are nested styles. Compared to another nested styles the difference is that they are "empty" styles. I could create a working version:

This is the old, wrong definition:
<style:style style:name="Ikonkeret_20_szövegközi_20_résztvevői" style:display-name="Ikonkeret szövegközi résztvevői" style:family="graphic" style:parent-style-name="Ikonkeret_20_szövegközi" style:auto-update="true">
<style:graphic-properties fo:background-color="transparent" style:background-transparency="100%" draw:fill="bitmap" draw:fill-color="#ffffff" draw:fill-image-name="Kör">
<style:background-image xlink:href="Pictures/100009770000070E0000070EF02B2196.svg" xlink:type="simple" xlink:actuate="onLoad" style:repeat="stretch" draw:opacity="100%"/>
</style:graphic-properties>
</style:style>

This is the modified style, witch is correct. I can save document:
<style:style style:name="Ikonkeret_20_szövegközi_20_résztvevői" style:display-name="Ikonkeret szövegközi résztvevői" style:family="graphic" style:parent-style-name="Ikonkeret_20_szövegközi" style:auto-update="true">
<style:graphic-properties text:anchor-type="page" svg:x="0cm" svg:y="0cm" style:vertical-pos="from-top" style:vertical-rel="page-content" style:horizontal-pos="from-left" style:horizontal-rel="page-content" draw:fill="bitmap" draw:fill-color="#ffffff" draw:fill-image-name="Kör" draw:fill-image-width="1cm" draw:fill-image-height="1cm" style:repeat="no-repeat" draw:fill-image-ref-point="top-left" style:shadow="none" draw:shadow-opacity="100%">
<style:background-image xlink:href="Pictures/100009770000070E0000070EF02B2196.svg" xlink:type="simple" xlink:actuate="onLoad" style:position="top left" style:repeat="no-repeat"/>
<style:columns fo:column-count="1" fo:column-gap="0cm"/>
</style:graphic-properties>
</style:style>
Comment 5 Gellért Gyuris 2015-07-06 15:36:26 UTC
Created attachment 117085 [details]
Modified, working template

Here is a modified and working file (LO 4.4.4.3. and 5.0.0.2 Ubuntu 15.04). See the mentioned two frame styles.
Comment 6 Commit Notification 2015-07-26 19:55:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c7b7b5c7a75cde9a21da277d3b20f1f83f95e86

Resolves: tdf#91950 optional entries may not be present

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-07-27 15:23:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ad69bbaa5bc356a553738fa52664b53343cd1f4&h=libreoffice-5-0

Resolves: tdf#91950 optional entries may not be present

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Gellért Gyuris 2015-07-28 09:16:45 UTC
Tested, works fine :). Thank you.

Version: 5.1.0.0.alpha1+
Build ID: 2d8f1faa97a3dfd38c540e0cd0b73a2e9d621d53
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-07-28_00:53:45
Locale: hu-HU (hu_HU.UTF-8)
Comment 9 Commit Notification 2015-07-28 16:10:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a44b45a77730b56a575dfa13883d8d0053914c1&h=libreoffice-4-4

Resolves: tdf#91950 optional entries may not be present

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 10:41:09 UTC Comment hidden (obsolete)